Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class ObjectFactory.ConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--org.apache.xerces.util.ObjectFactory.ConfigurationError

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ObjectFactory

public static class ObjectFactory.ConfigurationError
extends java.lang.Error

A configuration error.

See Also:
  Serialized Form

Constructor Summary
`ObjectFactory.ConfigurationError(java.lang.String msg, java.lang.Exception x)` Construct a new instance with the specified detail string and exception.

Method Summary
`java.lang.Exception` | `getException()` Returns the exception associated to this error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectFactory.ConfigurationError

    public ObjectFactory.ConfigurationError(java.lang.String msg,
                                            java.lang.Exception x)

  Construct a new instance with the specified detail string and exception.

Method Detail

### getException

    public java.lang.Exception getException()

  Returns the exception associated to this error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.